Skip to main content
GET
/
api
/
v3
/
admin
/
markets
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const { data: markets } = await client.markets.list()
{
  "data": [
    {
      "id": "mkt_UkLWZg9DAJ",
      "name": "EU",
      "currency": "USD",
      "default_locale": "en",
      "tax_inclusive": false,
      "default": false,
      "country_isos": [
        "DE"
      ],
      "supported_locales": [
        "en"
      ],
      "created_at": "2026-06-17T13:36:59.126Z",
      "updated_at": "2026-06-17T13:36:59.126Z"
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 1,
    "pages": 1,
    "from": 1,
    "to": 1,
    "in": 1,
    "previous": null,
    "next": null
  }
}

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Query Parameters

page
integer
limit
integer
q[name_cont]
string
sort
string
expand
string

Comma-separated associations to embed. Supported: countries.

Response

200 - application/json

markets found

data
object[]
required
meta
object
required